summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Ian D. Brunton2014-02-20 05:03:28 +0100
committer Erik Hanson2014-02-21 21:41:03 +0100
commit410d00e6fcbe6eec8d8f6262d21ef0654822ff0d (patch)
tree51e275850e52e6d4af81b200e59d0e14490b54d4 /desktop
parent5caf5c01bf71e02f6d427d7b916363753a4490b5 (diff)
downloadslackbuilds-410d00e6fcbe6eec8d8f6262d21ef0654822ff0d.tar.gz
desktop/herbstluftwm: Updated for version 0.5.3.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/herbstluftwm/herbstluftwm.SlackBuild47
-rw-r--r--desktop/herbstluftwm/herbstluftwm.info6
-rw-r--r--desktop/herbstluftwm/slack-desc8
3 files changed, 38 insertions, 23 deletions
diff --git a/desktop/herbstluftwm/herbstluftwm.SlackBuild b/desktop/herbstluftwm/herbstluftwm.SlackBuild
index 6393495a1b..1d5fe782e3 100644
--- a/desktop/herbstluftwm/herbstluftwm.SlackBuild
+++ b/desktop/herbstluftwm/herbstluftwm.SlackBuild
@@ -2,14 +2,28 @@
# Slackware build script for herbstluftwm
-# Written by Ian D. Brunton <iandbrunton@gmail.com>
-
-# This program is free software. It comes without any warranty.
-# Granted WTFPL, Version 2, as published by Sam Hocevar. See
-# http://sam.zoy.org/wtfpl/COPYING for more details.
+# Copyright Ian D. Brunton <iandbrunton@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=herbstluftwm
-VERSION=${VERSION:-0.5.2}
+VERSION=${VERSION:-0.5.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,6 +49,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -47,20 +64,18 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# make
-make PREFIX=/usr MANDIR=/usr/man DOCDIR=/usr/doc/$PRGNAM-$VERSION || exit 1
-make install DESTDIR=$PKG PREFIX=/usr MANDIR=/usr/man DOCDIR=/usr/doc/$PRGNAM-$VERSION
+make PREFIX=/usr MANDIR=/usr/man BINDIR=/usr/bin DOCDIR=/usr/doc/$PRGNAM-$VERSION ZSHCOMPLETIONDIR=/usr/share/applications XSESSIONSDIR=/usr/share/applications || exit 1
+make install DESTDIR=$PKG BINDIR=/usr/bin DOCDIR=/usr/doc/$PRGNAM-$VERSION ZSHCOMPLETIONDIR=/usr/share/applications XSESSIONSDIR=/usr/share/applications MAN1DIR=/usr/man/man1 MAN7DIR=/usr/man/man7
-#strip:
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-#gzip manpages:
+# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/desktop/herbstluftwm/herbstluftwm.info b/desktop/herbstluftwm/herbstluftwm.info
index 95fe10f1bf..3888aa53c4 100644
--- a/desktop/herbstluftwm/herbstluftwm.info
+++ b/desktop/herbstluftwm/herbstluftwm.info
@@ -1,8 +1,8 @@
PRGNAM="herbstluftwm"
-VERSION="0.5.2"
+VERSION="0.5.3"
HOMEPAGE="http://www.herbstluftwm.org"
-DOWNLOAD="http://herbstluftwm.org/tarballs/herbstluftwm-0.5.2.tar.gz"
-MD5SUM="4cbbe35ac36279cb7d1b955bea02ca70"
+DOWNLOAD="http://herbstluftwm.org/tarballs/herbstluftwm-0.5.3.tar.gz"
+MD5SUM="8b7f430c85d22150c79032e5fe44241a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/desktop/herbstluftwm/slack-desc b/desktop/herbstluftwm/slack-desc
index e2e34b40bc..ee0b866ee5 100644
--- a/desktop/herbstluftwm/slack-desc
+++ b/desktop/herbstluftwm/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
herbstluftwm: herbstluftwm (manual tiling window manager)
herbstluftwm:
-herbstluftwm: herbstluftwm is a manual tiling window manager for X11 using Xlib and
-herbstluftwm: Glib. Layout is based on splitting frames into sub-frames, similar
-herbstluftwm: to i3/musca. Tags/workspaces can be removed or added at run-time.
+herbstluftwm: herbstluftwm is a manual tiling manager for X11 using Xlib and Glib.
+herbstluftwm: Layout is based on splitting frames into sub-frames, similar to
+herbstluftwm: i3/musca. Tags/workspaces can be removed or added at run-time.
herbstluftwm: Configuration is written in bash script.
herbstluftwm:
-herbstluftwm: homepage: http://www.herbstluftwm.org/
+herbstluftwm: http://www.herbstluftwm.org/
herbstluftwm:
herbstluftwm:
herbstluftwm: